<?php

//strpos - поиск символа в строке и возврат его позиции
//3 параметра - строка, искомый символ и смещение относительно начала строки
//используется в условиях, например.
$str = 'Привет, мир!';
echo mb_strpos($str, 'П',0, 'utf-8');
//если символ не найден - функция возвращает false.
if(mb_strpos($str,'и',0,'utf-8')!==false){
    echo 'ok!';
} else {
    echo 'nope';
};

echo '<br><br>';

$str1 = 'привет, мир!';
$str2 = 'ПРИВЕТ, МИР!';
//функции смены регистра. префикс mb для мультибитовой кодировки
echo mb_strtoupper($str1, 'utf-8');
echo mb_strtolower($str2, 'utf-8');

echo '<br><br>';

//функция изъятия подстроки 3 параметра - строка, с какой позиции, сколько символов.
echo mb_substr($str1,-4, 3 ,'utf-8');
//если второй параметр отрицателен - начало с конца строки


echo '<br><br>';

$str = '<i>Вася </i><b>безрук</b>off<br>';
echo $str;
echo '<br>';

//htmlspecialchars - преобразует специальные символы в html сущности

echo htmlspecialchars($str);

//htmlspecialchars_decode - обратная функция

//Преобразует вообще все символы в мнемоники
echo htmlentities($str);

?>